//
//  QuranSearchViewController.h
//  QuranSearch
//
//  Created by Ahmed El-Helw on 10/21/10.
//  Copyright 2010 None. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "QuranDatabase.h"
#import "ResultSelectionDelegate.h";

@interface QuranSearchViewController : UIViewController< UITableViewDataSource, 
                                  UITableViewDelegate, UIActionSheetDelegate> {
	UITableView* resultsTable;
	NSArray* suraNames;
	NSMutableArray* suggestions;
	NSString* lastQuery;
	int selectedAyahIndex;
	QuranDatabase* database;
	id<ResultSelectionDelegate> delegate;
}

@property (nonatomic, retain) IBOutlet UITableView* resultsTable;
@property (nonatomic, retain) NSMutableArray* suggestions;
@property (nonatomic, retain) QuranDatabase* database;
@property (nonatomic, copy) NSString* lastQuery;
@property (nonatomic, retain) NSArray* suraNames;
@property (nonatomic) int selectedAyahIndex;
@property (nonatomic, assign) IBOutlet id<ResultSelectionDelegate> delegate;

- (IBAction)showActionSheet:(id)sender;
- (void)search:(NSString *)query;

@end

